<?xml version="1.0"?>

<model-hints>
	<model name="de.humance.eco.profile.model.Qualification">
		<field name="qualificationId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="modifiedDate" type="Date" />
		<field name="ownerId" type="long" />
		<field name="typeId" type="long" />
		<field name="name" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="certNumber" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="deliveryDate" type="Date" />
		<field name="expirationDate" type="Date" />
		<field name="issuingCountry" type="String" />
		<field name="issuingInstitution" type="String">
			<hint name="max-length">500</hint>
		</field>
	</model>
	<model name="de.humance.eco.profile.model.QualificationAttribute">
		<field name="qualificationAttributeId" type="long" />
		<field name="qualificationId" type="long" />
		<field name="qualificationAttributeDefinitionId" type="long" />
		<field name="type" type="String" />
		<field name="sequenceNumber" type="long" />
		<field name="attributeValue" type="String">
			<hint name="max-length">5000</hint>
		</field>
	</model>
	<model name="de.humance.eco.profile.model.QualificationAttributeDefinition">
		<field name="qualificationAttributeDefinitionId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String" />
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String" />
		<field name="modifiedDate" type="Date" />
		<field name="qualificationTypeId" type="long" />
		<field name="type" type="String" />
		<field name="title" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="minRangeValue" type="double" />
		<field name="maxRangeValue" type="double" />
		<field name="unit" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="sequenceNumber" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.QualificationAttributeDefinitionResource">
		<field name="qualificationAttributeDefinitionResourceId" type="long" />
		<field name="qualificationAttributeDefinitionId" type="long" />
		<field name="country" type="String" />
		<field name="language" type="String" />
		<field name="title" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="unit" type="String">
			<hint name="max-length">255</hint>
		</field>
	</model>
	<model name="de.humance.eco.profile.model.QualificationType">
		<field name="qualificationTypeId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="modifiedDate" type="Date" />
		<field name="name" type="String">
			<hint name="max-length">1000</hint>
		</field>
		<field name="description" type="String">
			<hint name="max-length">5000</hint>
		</field>
		<field name="note" type="String">
			<hint name="max-length">2000</hint>
		</field>
		<field name="iconId" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.QualificationTypeResource">
		<field name="qualificationTypeResourceId" type="long" />
		<field name="qualificationTypeId" type="long" />
		<field name="country" type="String" />
		<field name="language" type="String" />
		<field name="name" type="String">
			<hint name="max-length">1000</hint>
		</field>
		<field name="description" type="String">
			<hint name="max-length">5000</hint>
		</field>
		<field name="note" type="String">
			<hint name="max-length">2000</hint>
		</field>
		<field name="iconId" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.Trailer">
		<field name="trailerId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String" />
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String" />
		<field name="modifiedDate" type="Date" />
		<field name="driverId" type="long" />
		<field name="typeId" type="long" />
		<field name="manufacturerId" type="long" />
		<field name="organizationId" type="long" />
		<field name="modelName" type="String" />
		<field name="dimensionHeight" type="long" />
		<field name="dimensionWidth" type="long" />
		<field name="dimensionDepth" type="long" />
		<field name="licensePlate" type="String" />
	</model>
	<model name="de.humance.eco.profile.model.TrailerType">
		<field name="trailerTypeId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String" />
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String" />
		<field name="modifiedDate" type="Date" />
		<field name="name" type="String" />
		<field name="iconId" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.TrailerUser">
		<field name="trailerUserId" type="long" />
		<field name="userId" type="long" />
		<field name="trailerId" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.Vehicle">
		<field name="vehicleId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="modifiedDate" type="Date" />
		<field name="driverId" type="long" />
		<field name="typeId" type="long" />
		<field name="manufacturerId" type="long" />
		<field name="organizationId" type="long" />
		<field name="modelName" type="String">
			<hint name="max-length">1000</hint>
		</field>
		<field name="dimensionHeight" type="long" />
		<field name="dimensionWidth" type="long" />
		<field name="dimensionDepth" type="long" />
		<field name="licensePlate" type="String" />
	</model>
	<model name="de.humance.eco.profile.model.VehicleAttribute">
		<field name="vehicleAttributeId" type="long" />
		<field name="vehicleId" type="long" />
		<field name="vehicleAttributeDefinitionId" type="long" />
		<field name="type" type="String" />
		<field name="sequenceNumber" type="long" />
		<field name="attributeValue" type="String">
			<hint name="max-length">5000</hint>
		</field>
	</model>
	<model name="de.humance.eco.profile.model.VehicleAttributeDefinition">
		<field name="vehicleAttributeDefinitionId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String" />
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String" />
		<field name="modifiedDate" type="Date" />
		<field name="vehicleTypeId" type="long" />
		<field name="type" type="String" />
		<field name="title" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="minRangeValue" type="double" />
		<field name="maxRangeValue" type="double" />
		<field name="unit" type="String">
			<hint name="max-length">255</hint>
		</field>
		<field name="sequenceNumber" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.VehicleAttributeDefinitionResource">
		<field name="vehicleAttributeDefinitionResourceId" type="long" />
		<field name="vehicleAttributeDefinitionId" type="long" />
		<field name="country" type="String" />
		<field name="language" type="String" />
		<field name="title" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="unit" type="String">
			<hint name="max-length">255</hint>
		</field>
	</model>
	<model name="de.humance.eco.profile.model.VehicleManufacturer">
		<field name="vehicleManufacturerId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String" />
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String" />
		<field name="modifiedDate" type="Date" />
		<field name="name" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="iconId" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.VehicleType">
		<field name="vehicleTypeId" type="long" />
		<field name="creatorId" type="long" />
		<field name="creatorName" type="String" />
		<field name="createDate" type="Date" />
		<field name="modifierId" type="long" />
		<field name="modifierName" type="String" />
		<field name="modifiedDate" type="Date" />
		<field name="name" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="iconId" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.VehicleTypeResource">
		<field name="vehicleTypeResourceId" type="long" />
		<field name="vehicleTypeId" type="long" />
		<field name="country" type="String" />
		<field name="language" type="String" />
		<field name="name" type="String">
			<hint name="max-length">500</hint>
		</field>
		<field name="iconId" type="long" />
	</model>
	<model name="de.humance.eco.profile.model.VehicleUser">
		<field name="vehicleUserId" type="long" />
		<field name="userId" type="long" />
		<field name="vehicleId" type="long" />
	</model>
</model-hints>